Package com.fasterxml.jackson.core.util

# Interface DefaultPrettyPrinter.Indenter

All Known Implementing Classes:
  `DefaultIndenter`, `DefaultPrettyPrinter.FixedSpaceIndenter`, `DefaultPrettyPrinter.NopIndenter`

Enclosing class:
  DefaultPrettyPrinter

public static interface DefaultPrettyPrinter.Indenter
Interface that defines objects that can produce indentation used to separate object entries and array values. Indentation in this context just means insertion of white space, independent of whether linefeeds are output.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isInline()`
`void`
`writeIndentation(JsonGenerator g, int level)`

## Method Details

### writeIndentation

void writeIndentation(JsonGenerator g, int level) throws IOException

Throws:
  `IOException`

### isInline

boolean isInline()

Returns:
  True if indenter is considered inline (does not add linefeeds), false otherwise